=== debian/changelog ===
pyhst2 (2020c-7) unstable; urgency=medium

  * Team upload.

  [ Didier Raboud ]
  * Add patch to set Debian-specific PEP-440-compliant version
    (Closes: #1029775)
  * Drop all CUDA-specific library path search, fixes RUNPATH lintian
    error

 -- Andreas Beckmann <anbe@debian.org>  Tue, 31 Jan 2023 17:13:52 +0100

pyhst2 (2020c-6) unstable; urgency=medium

  * Team upload.

  [ Neil Williams ]
  * Trim trailing whitespace.
  * Set upstream metadata fields: Repository.

  [ Andreas Beckmann ]
  * Switch Build-Depends to nvidia-cuda-toolkit-gcc.  (Closes: #1016633)
  * Fix typos found by Lintian.
  * Set Rules-Requires-Root: no.
  * Update Lintian overrides.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 22 Nov 2022 15:39:59 +0100

pyhst2 (2020c-5) unstable; urgency=medium

  * Team upload.
  * Binary upload for contrib

 -- Neil Williams <codehelp@debian.org>  Tue, 30 Nov 2021 16:37:15 +0000

pyhst2 (2020c-4) unstable; urgency=medium

  * Team upload.
  * Fix error in B-D to use python3-all-dev to support builds against
    other versions of Python. (Closes: #1000292)

 -- Neil Williams <codehelp@debian.org>  Tue, 30 Nov 2021 12:38:27 +0000

pyhst2 (2020c-3) unstable; urgency=medium

  * Team upload.
  * Upload with amd64 binaries to deal with non-free
  * Improve copyright syntax - lintian warnings
  * Patch shebang line into scripts/vol2hdf5 to fix execution from
    /usr/bin/

 -- Neil Williams <codehelp@debian.org>  Thu, 07 Oct 2021 09:56:26 +0100

pyhst2 (2020c-2) unstable; urgency=medium

  * Team upload.
  * Add missing B-D: python3-six (Closes: #994896)
  * Improve clean rule for generated file
  * Bump Standards Version

 -- Neil Williams <codehelp@debian.org>  Tue, 28 Sep 2021 15:28:16 +0100

pyhst2 (2020c-1) unstable; urgency=medium

  * new Upstream 2020c (Closes: #972914)
  * pathes/0001-support-cuda-11.patch  (Closes: #968318)

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Fri, 29 Jan 2021 15:14:00 +0100

pyhst2 (2020a-3) unstable; urgency=medium

  * non-source upload to deal with non-free

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Fri, 18 Sep 2020 09:59:19 +0200

pyhst2 (2020a-2) unstable; urgency=medium

  [ Sébastien Delafond ]
  * Update maintainer and salsa location

  [ Picca Frédéric-Emmanuel ]
  * d/control: Added myself has Uploader
  * d/control: Added mpi-default-dev Build-Depends to fix an FTBFS.
  * d/patches: ONLYCUDA=0 in order to have the Python modules and the scripts
  * d/rules: remove the harcoded python3.8
  * d/salsa-ci.yml: Added non-free component

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Sun, 26 Jul 2020 08:15:41 +0200

pyhst2 (2020a-1) unstable; urgency=medium

  * First release (Closes: #711554)

 -- Sebastien Delafond <seb@debian.org>  Mon, 23 Mar 2020 13:14:40 +0100
