=== debian/control ===
Source: pyhst2
Section: contrib/python
Priority: optional
Maintainer: Debian PaN Maintainers <debian-pan-maintainers@alioth-lists.debian.net>
Uploaders:
           Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>,
           Sebastien Delafond <seb@debian.org>,
           Picca Frédéric-Emmanuel <picca@debian.org>
Build-Depends: cython3,
               debhelper-compat (= 13),
               dh-python,
               libfftw3-dev,
               libhdf5-dev,
               libtiff-dev,
               mpi-default-dev,
               nvidia-cuda-toolkit-gcc,
               python3:any,
               python3-all,
               python3-all-dev,
               python3-glymur,
               python3-h5py,
               python3-mpi4py,
               python3-numpy,
               python3-setuptools,
               python3-six,
Rules-Requires-Root: no
Standards-Version: 4.6.0
Homepage: https://gitlab.esrf.fr/mirone/pyhst2
Vcs-Browser: https://salsa.debian.org/science-team/pyhst2
Vcs-Git: https://salsa.debian.org/science-team/pyhst2.git

Package: python3-pyhst2-cuda
Architecture: any
Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends},
 python3-six, python3-numpy, python3-mpi4py, python3-glymur, python3-h5py
Description: Python High Speed Tomographic reconstruction
 PyHST is a Python program for Tomographic data reconstruction based
 on direct filtered back-projection algorithm
 .
 This is the CUDA version
