=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=pyhst2
#export PYBUILD_DISABLE=test
#export PYBUILD_VERSIONS=3.8
#export PYBUILD_INTERPRETERS=python{version}

# note: the upstream setup.py does not install a requires.txt into
# the generated egg-info directory, so dh_python3 does not pick up
# the modules used by the installed scripts. Maintain that list in
# debian/control manually.

export CUDAHOME=/usr

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_clean:
	dh_clean
	$(RM) PyHST/segment/segment_cy.cpp

execute_before_dh_gencontrol:
	dh_numpy3 -p python3-pyhst2-cuda
